﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace WindowsFormsApplication2
{
	static class Program
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main()
		{ 
			//Specify the connection string which has the problem
			string cString = @"Data Source=localhost;Initial Catalog=Northwind;Integrated Security=True";
			
			using (SqlConnection sc = new SqlConnection(cString))
			{
				try
				{
					//Specify the query string here which has problem.
					SqlCommand cmd = new SqlCommand("select * from Shippers", sc);
					//Adjust the time to see what can work correctly for his case.
					//If exception(timeout expired) happens, it means the time is smaller.
					//Just increase the value so that there is no exception.
					cmd.CommandTimeout = 40;
					Console.WriteLine("CommandTimeout: {0}", cmd.CommandTimeout);
					sc.Open();
					SqlDataReader r = cmd.ExecuteReader();
					while (r.Read())
						Console.WriteLine("{0} : {1}", r[0].ToString(), r[1].ToString());
					sc.Close();
				}
				catch (SqlException se)
				{
					Console.WriteLine(se);
				}
			}
		}
	}
}
